Perl::Critic::PolicyListing(3)

NAME
Perl::Critic::PolicyListing - Display minimal information about Policies.

DESCRIPTION
This is a helper class that formats a set of Policy objects for pretty-printing. There are no user-serviceable parts here.

INTERFACE SUPPORT
This is considered to be a non-public class. Its interface is subject to change without notice.

CONSTRUCTOR

"new( -policies => \@POLICY_OBJECTS )"
    Returns a reference to a new "Perl::Critic::PolicyListing" object.

METHODS

to_string()
    Returns a string representation of this "PolicyListing". See "OVERLOADS" for more information.

OVERLOADS
When a Perl::Critic::PolicyListing is evaluated in string context, it produces a one-line summary of the default severity, policy name, and default themes for each Perl::Critic::Policy object that was given to the constructor of this "PolicyListing".

AUTHOR
Jeffrey Ryan Thalhammer <jeff@imaginative-software.com>

COPYRIGHT
Copyright (c) 2005-2011 Imaginative Software Systems. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.